Subject: bug#33294: xwidget-insert crashes Emacs

From: Robert Pluim <[email-masked]>
Date: Tue, 27 Nov 2018 09:43:10 +0100

Eli Zaretskii <[email-masked]> writes:

>> From: Robert Pluim <[email-masked]>
>> Cc: [email-masked],  [email-masked],  [email-masked],  [email-masked]
>> Date: Mon, 26 Nov 2018 15:02:21 +0100
>> 
>> >> I don't have access to an Emacs with xwidget support to test this; can
>> >> someone please provide a patch for that?
>> 
>> Something like this? (with ChangeLog etc of course). I couldn't come
>> up with a test-case for the xwidget_init_view path, but it causes
>> make-xwidget to error out under '-nw'
>
> Yes, that's what I had in mind.  If this works, please push to the
> release branch.

It signals an error if GTK has not been initialized, and I can call
make-xwidget if I create a GUI frame from a '-nw' emacs.

Pushed as a291f62428 to emacs-26.

Robert